## ecmwflibs 0.4.16

=== debian/changelog ===
ecmwflibs (2:0.4.16-2) unstable; urgency=medium

  * Enable tests in debian/rules
  * Look for libs in multi-arch directories. Closes: #1011768, #1011719
  * Depend on libeccodes-dev, libmagics++-dev for libraries

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 May 2022 10:11:36 +0100

ecmwflibs (2:0.4.16-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 May 2022 10:27:43 +0100

ecmwflibs (2:0.4.14-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 09:47:22 +0100

ecmwflibs (2:0.4.10-1) unstable; urgency=medium

  * New upstream release
  * Use findlibs (now in archive); drop find.patch
  * Epoch changed to fix numbering error
  * Ensure runpaths not set

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Apr 2022 10:32:11 +0100

ecmwflibs (0.13.3-2) unstable; urgency=medium

  * Add misc:Depends to python3-ecmwflibs for debhelper
  * Add find.patch to avoid need for findlibs. Closes: #994731

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Oct 2021 09:30:29 +0100

ecmwflibs (0.13.3-1) unstable; urgency=medium

  * Initial release. (Closes: #993581)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Sep 2021 09:53:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=ecmwflibs

# magic debhelper rule
%:
	dh $@ --buildsystem=pybuild 

override_dh_auto_clean:
	rm -rf *.egg-info .eggs .pybuild

override_dh_fixperms:
	dh_fixperms
	chrpath -d debian/python3-ecmwflibs/usr/lib/python3/dist-packages/ecmwflibs/_*so

## ecmwflibs 0.4.18~rc9

=== debian/changelog ===
ecmwflibs (2:0.4.18~rc9-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 13:35:30 +0100

## ecmwflibs 0.5.0

=== tests/CMakeLists.txt ===
project( open_netcdf LANGUAGES C )
cmake_minimum_required(VERSION 3.21)

find_path (NETCDF_INCLUDES_C netcdf.h HINTS NETCDF_DIR NETCDF_DIR)
include_directories(${NETCDF_INCLUDES_C})

find_library (NETCDF_LIBRARIES_C  NAMES netcdf)

add_executable(open_netcdf open_netcdf.c)
target_link_libraries(open_netcdf ${NETCDF_LIBRARIES_C})

=== debian/changelog ===
ecmwflibs (2:0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Don't accidentally ship .gitignre files

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Nov 2022 14:51:11 +0000

=== debian/control ===
Source: ecmwflibs
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  python3-all-dev, 
  python3-setuptools,
  libeccodes-dev,
  python3-findlibs,
  libmagics++-dev,
  chrpath
Standards-Version: 4.6.1
Homepage: https://github.com/ecmwf/ecmwflibs/
Vcs-Browser: https://salsa.debian.org:/science-team/ecmwflib
Vcs-Git: https://salsa.debian.org:/science-team/ecmwflibs.git -b debian/latest


Package: python3-ecmwflibs
Architecture: any
Depends: python3, ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-findlibs,
 libeccodes-dev, libmagics++-dev
Provides: ${python3:Provides}
Description:  Python 3 module to discover ECMWF libraries.
 This module is used by ECMWF python libraries to discover some dependencies.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 override_dh_auto_clean:
 	rm -rf *.egg-info .eggs .pybuild
+	# clean up files we don't want to include
+	-find . -name .gitignore -exec rm {} \;
 
 override_dh_fixperms:
 	dh_fixperms

## ecmwflibs 0.5.4

=== debian/changelog ===
ecmwflibs (2:0.5.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * Enabble build after successful build. Closes: #1044204

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Aug 2023 11:12:49 +0100

## ecmwflibs 0.5.7

=== debian/changelog ===
ecmwflibs (2:0.5.7-4) unstable; urgency=medium

  * Fix for minimal chroots with symlinked /usr (autopkgtest)
    Closes: #1055848
  * Add autopkgtest to catch this

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jan 2024 19:37:45 +0000

ecmwflibs (2:0.5.7-3) unstable; urgency=medium

  * Rebuild against latest eccodes

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jan 2024 18:37:36 +0000

ecmwflibs (2:0.5.7-2) unstable; urgency=medium

  * Add a superficial tryload test for autopkgtest

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 14:02:15 +0000

ecmwflibs (2:0.5.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Nov 2023 12:09:59 +0000

ecmwflibs (2:0.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Nov 2023 09:20:04 +0000

=== debian/control ===
Source: ecmwflibs
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all-dev,
  python3-setuptools,
  libeccodes-dev,
  python3-findlibs,
  libmagics++-dev,
  chrpath
Standards-Version: 4.6.2
Homepage: https://github.com/ecmwf/ecmwflibs/
Vcs-Browser: https://salsa.debian.org:/science-team/ecmwflib
Vcs-Git: https://salsa.debian.org/science-team/ecmwflibs.git -b debian/latest


Package: python3-ecmwflibs
Architecture: any
Depends: python3, ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-findlibs,
 libeccodes-dev, libmagics++-dev
Provides: ${python3:Provides}
Description: Python 3 module to discover ECMWF libraries.
 This module is used by ECMWF python libraries to discover some dependencies.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

## ecmwflibs 0.6.3

=== debian/changelog ===
ecmwflibs (2:0.6.3-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:43:16 +0000

ecmwflibs (2:0.6.3-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:04:52 +0000

ecmwflibs (2:0.6.3-2) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required
  * Rebuilt for python3.13 support
  * Add lintian overrides: lib extension doesn't use libc

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Nov 2024 16:17:31 +0000

ecmwflibs (2:0.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Mar 2024 06:22:58 +0000

ecmwflibs (2:0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Feb 2024 06:38:27 +0000

ecmwflibs (2:0.6.0-1) unstable; urgency=medium

  * Fix typos in Vcs-Browser
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Feb 2024 07:24:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ecmwflibs
 Section: python
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
   dh-sequence-python3,
   python3-all-dev,
@@ -10,9 +11,9 @@
   python3-findlibs,
   libmagics++-dev,
   chrpath
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/ecmwflibs/
-Vcs-Browser: https://salsa.debian.org:/science-team/ecmwflib
+Vcs-Browser: https://salsa.debian.org/science-team/ecmwflbs
 Vcs-Git: https://salsa.debian.org/science-team/ecmwflibs.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 # magic debhelper rule
 %:
-	dh $@ --buildsystem=pybuild 
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
-	rm -rf *.egg-info .eggs .pybuild
+	rm -rf *.egg-info .eggs .pybuild build
 	# clean up files we don't want to include
 	-find . -name .gitignore -exec rm {} \;

=== debian/tests/control ===
Tests: tryload, eccodes-search
Depends: python3-ecmwflibs
Restrictions: superficial

## ecmwflibs 0.13.3

=== tests/requirements.txt ===
magics
eccodes
pytest

=== debian/changelog ===
ecmwflibs (0.13.3-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:23:09 +0000

=== debian/control ===
Source: ecmwflibs
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  python3-all-dev, 
  python3-setuptools,
  libeccodes-dev,
  libmagics++-dev
Standards-Version: 4.6.0
Homepage: https://github.com/ecmwf/ecmwflibs/
Vcs-Browser: https://salsa.debian.org:/science-team/ecmwflib
Vcs-Git: https://salsa.debian.org:/science-team/ecmwflibs.git -b debian/latest


Package: python3-ecmwflibs
Architecture: any
Depends: python3, ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description:  Python 3 module to discover ECMWF libraries.
 This module is used by ECMWF python libraries to discover some dependencies.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=ecmwflibs

# magic debhelper rule
%:
	dh $@ --buildsystem=pybuild 

override_dh_auto_clean:
	rm -rf *.egg-info .eggs .pybuild

override_dh_auto_test:
	@echo bypass test that requiresd pytest-flakes
